## octave-zeromq 1.5.2

=== DESCRIPTION ===
Name: zeromq
Version: 1.5.2
Date: 2020-10-13
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: ZeroMQ Toolbox
Description: ZeroMQ bindings for GNU Octave
Categories: Zeromq
Depends: octave (>= 4.0.0)
SystemRequirements: zmq
Autoload: no
License: GPLv3+
Url: http://octave.sourceforge.net
