## octave-zeromq 1.2.1

=== debian/changelog ===
octave-zeromq (1.2.1-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:40:32 -0200

octave-zeromq (1.2.1-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:15:12 -0200

octave-zeromq (1.2.1-1) unstable; urgency=low

  * Initial release (closes: #865865)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 25 Jul 2017 13:33:10 -0300
