=== debian/control ===
Source: octave-zeromq
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 11), dh-octave,
 libzmq5-dev
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/zeromq/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
Testsuite: autopkgtest-pkg-octave

Package: octave-zeromq
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: ZeroMQ binding for Octave
 ZeroMQ is a library which extends the standard socket interfaces,
 providing an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless
 access to multiple transport protocols and more.  This package
 contains the binding to the ZeroMQ library for use in Octave, a
 scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.
