## octave-zeromq 1.3.0

=== debian/changelog ===
octave-zeromq (1.3.0-4) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/p/spelling-error.patch: Extend with upstream fixes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:58:25 -0200

octave-zeromq (1.3.0-3) unstable; urgency=medium

  * d/checkvars: Do not run the tests in inst/examples/*.m.
    This avoids the failure when running autopkgtest at the Debian CI
    infrastructure.  For this to work, the build-dependency on dh-octave
    is bumped to >= 0.5.0.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 May 2018 18:52:33 -0300

octave-zeromq (1.3.0-2) unstable; urgency=medium

  * Let dh-octave install the examples

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 29 Apr 2018 17:06:52 -0300

octave-zeromq (1.3.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 1.3.0
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * d/p/receive-spelling-errors.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/p/spelling-error.patch: New patch
  * d/clean: New file
  * d/octave-zeromq.examples: New file

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Apr 2018 01:41:20 -0300
