=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
- libzmq5-dev
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/zeromq/
+Build-Depends: debhelper-compat (= 12),
+               dh-octave (>= 0.5.0),
+               libzmq5-dev
+Standards-Version: 4.3.0
+Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-zeromq
 Architecture: any
