## octave-zeromq 1.5.0

=== debian/changelog ===
octave-zeromq (1.5.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:21 +0100

octave-zeromq (1.5.0-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 05:58:31 -0300

octave-zeromq (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/p/info-dir-section.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 09 Aug 2019 11:21:17 -0300

octave-zeromq (1.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright: Add copyright and license information for the AppStream file
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:24:33 -0300

octave-zeromq (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * d/p/spelling-error.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * Add info and PDF forms of documentation
    + d/rules: Build the documentation
    + d/control: Add build-dependency on texlive
    + d/clean: Clean automatically generated files in directory doc/
    + d/octave-zeromq.doc-base: Add documentation description
    + d/octave-zeromq.docs: Add PDF documentation file
    + d/octave-zeromq.info: Add info documentation file
    + d/p/info-dir-section.patch: Add section information

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Mar 2019 19:05:02 -0300
