=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.0),
-               libzmq5-dev
-Standards-Version: 4.3.0
+               dh-octave (>= 0.7.1),
+               libzmq5-dev,
+               texlive
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
