## octave-zeromq 1.5.1

=== debian/changelog ===
octave-zeromq (1.5.1-2) unstable; urgency=medium

  * d/u/metadata: Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 03:27:44 -0300

octave-zeromq (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 May 2020 03:52:51 -0300
