## octave-zeromq 1.5.2

=== debian/changelog ===
octave-zeromq (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Oct 2020 04:12:32 -0300
