=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libzmq5-dev,
                texlive
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
