=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	( cd doc ;			\
	  texi2pdf -q zeromq.texi ; 	\
	  makeinfo zeromq.texi )
endif
