=== debian/watch ===
version=3
http://sf.net/octave/zeromq-(.+)\.tar\.gz
