## octave-zeromq 1.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: zeromq
-Version: 1.5.2
-Date: 2020-10-13
+Version: 1.5.3
+Date: 2021-07-15
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: ZeroMQ Toolbox
