=== debian/changelog ===
octave-zeromq (1.5.3-3build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:38:38 +0000

octave-zeromq (1.5.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 13:00:15 -0300

octave-zeromq (1.5.3-2) experimental; urgency=medium

  * d/control: Build-depend on pkg-config.
    Thanks to Adrian Bunk for the bug report (Closes: #991330)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 22 Jul 2021 03:53:48 -0300

octave-zeromq (1.5.3-1) experimental; urgency=medium

  * New upstream version 1.5.3
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Remove leftover *.cc-tst files
  * d/watch: Update to version 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Jul 2021 05:39:30 -0300
