=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libzmq5-dev,
+               pkg-config,
                texlive
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
