=== debian/watch ===
version=4
http://sf.net/octave/zeromq-(.+)\.tar\.gz
