## octave-zeromq 1.5.4

=== debian/changelog ===
octave-zeromq (1.5.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cc-tst
    + d/control: Build-depend on dh-octave >= 1.2.2. In this version
      dh_octave_clean removes the src/*-tst files.
  * Proper cleaning of files generated by the configure script
    + d/p/fix-distclean-rule.patch: New patch
    + d/control: Build-depend on dh-octave >= 1.2.3
    + d/clean, d/s/options: Adjust for the new situation

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 10:56:39 -0300

octave-zeromq (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4
  * d/copyright:
    + Accentuate my family name
    + Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 May 2022 17:03:38 -0300
