## octave-zeromq 1.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: zeromq
-Version: 1.5.3
-Date: 2021-07-15
+Version: 1.5.5
+Date: 2022-10-17
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: ZeroMQ Toolbox
