=== debian/changelog ===
octave-zeromq (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * d/p/fix-distclean-rule.patch: Drop patch (applied upstream)
  * d/p/fix-spelling-incoming.patch: New patch
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Oct 2022 01:48:00 -0300
