=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libzmq5-dev,
                pkg-config,
                texlive
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
