=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --buildsystem=octave --with=octave
+	dh $@ --buildsystem=octave
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build:
