## octave-zeromq 1.5.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2018-2023 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -10,6 +10,7 @@
 ## without any warranty.
 
 TOPDIR := $(shell pwd)
+PACKAGE_REPO_DIR ?= $(TOPDIR)
 
 ## Some basic tools (can be overriden using environment variables)
 SED ?= sed
@@ -41,6 +42,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -52,7 +54,7 @@
 ## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
 ## release directory above is needed in the relative form, for 'git
 ## archive --format=tar --prefix=$(release_dir).
-real_target_dir  := $(realpath .)/$(target_dir)
+real_target_dir  := $(realpath $(PACKAGE_REPO_DIR))/$(target_dir)
 installation_dir := $(real_target_dir)/.installation
 package_list     := $(installation_dir)/.octave_packages
 install_stamp    := $(installation_dir)/.install_stamp
@@ -68,22 +70,22 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
+## Detect which VCS is used
+vcs := $(if $(wildcard $(PACKAGE_REPO_DIR)/.hg),hg,$(if $(wildcard $(PACKAGE_REPO_DIR)/.git),git,unknown))
+ifeq ($(vcs),hg)
+release_dir_dep := $(PACKAGE_REPO_DIR)/.hg/dirstate
 HG           := hg
 HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
 HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
-
-## Detect which VCS is used
-vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
-ifeq ($(vcs),hg)
-release_dir_dep := .hg/dirstate
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
-release_dir_dep := .git/index
-endif
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+release_dir_dep := $(PACKAGE_REPO_DIR)/.git/index
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
 TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
@@ -144,10 +146,10 @@
 $(release_dir): $(release_dir_dep)
 	-$(RM) -r "$@"
 ifeq (${vcs},hg)
-	hg archive --exclude ".hg*" --type files "$@"
+	$(HG) archive --exclude ".hg*" --type files "$@"
 endif
 ifeq (${vcs},git)
-	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
+	$(GIT) archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
 	$(RM) "$@/.gitignore"
 endif
 ## Don't fall back to run the supposed necessary contents of
@@ -158,15 +160,20 @@
 ifneq (,$(wildcard src/bootstrap))
 	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
 endif
-## Uncomment this if your src/Makefile.in has these targets for
-## pre-building something for the release (e.g. documentation).
-#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
-#	  $(MAKE) clean && $(RM) Makefile
-##
-	$(MAKE) -C "$@" docs
+ifneq (,$(wildcard src/configure))
+	cd "$@/src" && ./configure && $(MAKE) prebuild && \
+	  $(MAKE) PACKAGE_REPO_DIR=$(PACKAGE_REPO_DIR) distclean && $(RM) Makefile
+endif
+ifneq (,$(wildcard doc/mkfuncdocs.py))
+	$(MAKE) PACKAGE_REPO_DIR=$(PACKAGE_REPO_DIR) -C "$@" docs
+	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+endif
 	# remove dev stuff
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
+	cd "$@" && $(RM) -rf "devel"
 	${FIX_PERMISSIONS} "$@"
+
+	# ensure target dir date is now updated
+	touch "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                          --eval ' pkg ("load", "$(package)"); '
@@ -182,24 +189,32 @@
 	$(RM) -f doc/$(package).qhc
 	$(RM) -f doc/$(package).qch
 	$(RM) -f doc/functions.texi
-
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	$(RM) -f doc/version.texi
+
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --func-prefix=zmq_ --ignore=zeromq ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 # html_options = --eval 'options = get_html_options ("octave-forge");'
