=== debian/changelog ===
octave-zeromq (1.5.6-5) unstable; urgency=medium

  * d/control:
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Resctrict build-dependencies needed for building the documentation
      to the "!nodoc" profile
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Tighten Build-Depends to texlive-base instead of the broad
      dependency on texlive
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Drop file contianing unused override for
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 12:09:12 -0300

octave-zeromq (1.5.6-4) unstable; urgency=medium

  * d/octave-zeromq.docs: Install file zeromq.css

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Jan 2024 16:23:21 -0300

octave-zeromq (1.5.6-3) unstable; urgency=medium

  * d/u/metadata:
    + Update Bug-Database and Bug-Submit URLs
    + Add Repository and update Repository-Browse URLs
    + Add Documentation URL
  * Build and install Qt help files
    + d/control: Depend on dh-octave >= 1.8.0 (this version keeps the
      files doc/*.qhc and doc/*.qch in the package)
    + d/p/add-mkqhcp-py.patch: New patch
    + d/rules:
      - Use executable_after_dh_auto_build target
      - Ensure that doc/mkqhcp.py is executable
    + d/rules: ensure that doc/mkqhcp.py is executable
  * d/p/add-mkfuncdocs-py.patch: Fix headers
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Jan 2024 12:23:27 -0300

octave-zeromq (1.5.6-2) unstable; urgency=medium

  * Build documentation from source (Closes: #1061011)
    + d/p/add-mkfuncdocs-py.patch: New patch
    + d/rules:
      - Change mode of doc/mkfuncdocs.py
      - Invoke make to build the Info, HTML and PDF forms of the
        documentation
    + d/clean: Drop file
    + d/control: Build-depend on python3
    + d/octave-zeromq.doc-base: Add stanzas for HTML and Info formats
    + d/octave-zeromq.docs: Add HTML files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 18:21:01 -0300

octave-zeromq (1.5.6-1) unstable; urgency=medium

  * New upstream version 1.5.6
  * d/p/fix-spelling-incoming.patch: Drop patch (apllied upstream)
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL
  * Update location of upstream tarball at GitHub
    + d/watch: Update URL
    + d/s/lintian-overrides: Drop obsolete override

 -- Rafael Laboissière <rafael@debian.org>  Sat, 12 Aug 2023 09:04:21 -0300
