=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
                libzmq5-dev,
-               pkg-config,
-               texlive
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/zeromq/
+               pkgconf,
+               python3 <!nodoc>,
+               texlive-base <!nodoc>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-zeromq
 Architecture: any
