## octave-zeromq 1.5.7

=== DESCRIPTION ===
Name: zeromq
Version: 1.5.7
Date: 2026-01-07
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: ZeroMQ Toolbox
Description: ZeroMQ bindings for GNU Octave
Categories: Zeromq
Depends: octave (>= 4.0.0)
SystemRequirements: zmq
Autoload: no
License: GPLv3+
Url: https://gnu-octave.github.io/octave-zeromq/
Repository: https://github.com/gnu-octave/octave-zeromq/
Tracker: https://github.com/gnu-octave/octave-zeromq/issues
