=== debian/changelog ===
octave-zeromq (1.5.7-1) unstable; urgency=medium

  * New upstream version 1.5.7
  * d/salsa-ci.yml: New file
  * d/p/add-mkfuncdocs-py.patch: Drop patch (applied upstream)
  * d/p/add-mkqhcp-py.patch: Drop patch (applied upstream)
  * d/rules: Run src/boostrap before compiling the sources
  * d/clean: New file
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Fri, 16 Jan 2026 12:40:42 +0000
