=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 %:
 	dh $@ --buildsystem=octave
 
+execute_before_dh_auto_install:
+	(cd src ; ./bootstrap )
+
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
 	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
